org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Class SourcePositionMapBuilder.ResourceSection

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.SourcePositionMapBuilder.ResourceSection

Enclosing interface:
  SourcePositionMapBuilder

    public static class SourcePositionMapBuilder.ResourceSection
    extends java.lang.Object

Defines a section of a source file, contains a resource id and start and end point in text. Line/column numbers are always 0-based.

### Constructor Summary

Constructors
Constructor and Description
`ResourceSection(VmResourceId resourceId, int startLine, int startColumn, int endLine, int endColumn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VmResourceId` `getResourceId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceSection

    public ResourceSection(VmResourceId resourceId,
                           int startLine,
                           int startColumn,
                           int endLine,
                           int endColumn)

### Method Detail

#### getResourceId

    public VmResourceId getResourceId()